﻿using ERP.Core.Services;
using ERP.Framework.Security;
using ERP.Framework.WebApi;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Configuration;

namespace ERP.Core.Controllers
{
    [Route("system/user")]
    public class SysUserController : BaseController
    {
        private readonly IConfiguration _configuration;
        private readonly AuthService _authService;

        public SysUserController(IConfiguration configuration, AuthService authService)
        {
            _configuration = configuration;
            _authService = authService;
        }

        [HttpGet("get-info")]
        public IActionResult GetUserInfo()
        {
            var loginUser = LoginHelper.GetLoginUser();

            return Success(loginUser);
        }

        [HttpGet]
        public IActionResult GetList(long id)
        {
            return Success();
        }

        [HttpGet("/{id}")]
        public IActionResult GetById(long id)
        {
            return Success();
        }
    }
}