﻿using ERP.Core.Enums;
using ERP.Framework.Enum;
using ERP.Framework.WebApi;
using System.ComponentModel.DataAnnotations.Schema;

namespace ERP.Core.Entities
{
    [Table("sys_menu")]
    public class SysMenu : TreeEntity<SysMenu>
    {
        /// <summary>
        /// 菜单名称
        /// </summary>
        public virtual string MenuName { get; set; } = string.Empty;

        /// <summary>
        /// 菜单路由
        /// </summary>
        public virtual string? Path { get; set; } 

        /// <summary>
        /// 组件路径
        /// </summary>
        public virtual string? Component { get; set; }

        /// <summary>
        /// 查询参数
        /// </summary>
        public virtual bool IsCache { get; set; }

        /// <summary>
        /// 显示隐藏
        /// </summary>
        public virtual bool Visible { get; set; }

        /// <summary>
        /// 菜单类型
        /// </summary>

        public virtual MenuTypeEnum MenuType { get; set; }

        /// <summary>
        /// 菜单状态
        /// </summary>
        public virtual StatusEnum MenuStatus { get; set; }

        /// <summary>
        /// 菜单图标
        /// </summary>
        public virtual string? Icon { get; set; }

        /// <summary>
        /// 权限标识
        /// </summary>
        public virtual string? Permission { get; set; }
    }
}