﻿using ERP.Core.Enums;
using ERP.Framework.Enum;
using ERP.Framework.WebApi;
using System.ComponentModel.DataAnnotations.Schema;

namespace ERP.Core.Entities
{
    [Table("sys_user")]
    public class SysUser : BaseEntity
    {
        public override long Id { get => base.Id; set => base.Id = value; }

        /// <summary>
        /// 部门Id
        /// </summary>
        public virtual long DeptId { get; set; }

        /// <summary>
        /// 用户名
        /// </summary>
        public virtual string UserName { get; set; } = string.Empty;

        /// <summary>
        /// 昵称
        /// </summary>
        public virtual string NickName { get; set; } = string.Empty;

        /// <summary>
        /// 邮箱
        /// </summary>
        public virtual string? Email { get; set; }

        /// <summary>
        /// 电话号码
        /// </summary>
        public virtual string? PhoneNumber { get; set; }

        /// <summary>
        /// 性别
        /// </summary>
        public virtual SexEnum? Sex { get; set; }

        /// <summary>
        /// 头像
        /// </summary>
        public virtual string? Avatar { get; set; }

        /// <summary>
        /// 密码
        /// </summary>
        public virtual string Password { get; set; } = string.Empty;

        /// <summary>
        /// 用户状态
        /// </summary>
        public virtual StatusEnum UserStatus { get; set; }

        /// <summary>
        /// 数据状态 0正常 1已删除
        /// </summary>
        public virtual StatusEnum DataStatus { get; set; }
    }
}