﻿using System.Resources;

namespace ERP.Core.Resources
{
    public class Core18N
    {
        private static readonly ResourceManager _resourceManager = new ResourceManager(typeof(Core18N));

        /// <summary>
        /// token 失效
        /// </summary>
        public static string? TokenValidate => GetString("TokenValidate");

        /// <summary>
        /// 被踢下线
        /// </summary>
        public static string? KickedOut => GetString("KickedOut");

        /// <summary>
        /// 被顶下线
        /// </summary>
        public static string? ConcurrentLogin => GetString("ConcurrentLogin");

        /// <summary>
        /// 被顶下线
        /// </summary>
        public static string? IdleTimeOut => GetString("IdleTimeOut");

        /// <summary>
        /// 沒有權限
        /// </summary>
        public static string? NoPermission => GetString("NoPermission");

        /// <summary>
        /// 获取对应的I18N消息
        /// </summary>
        /// <param name="name"></param>
        /// <returns></returns>
        public static string? GetString(string name) => _resourceManager.GetString(name);
    }
}