﻿namespace ERP.Framework.Constants
{
    public static class DateTimeConstant
    {
        /// <summary>
        /// 年/月/日
        /// </summary>
        public const string DATE = "yyyy/MM/dd";

        /// <summary>
        /// 年/月/日 时:分
        /// </summary>
        public const string DATE_SHORT = "yyyy/MM/dd HH:mm";

        /// <summary>
        /// 年/月/日 时:分:秒
        /// </summary>
        public const string DATE_LONG = "yyyy/MM/dd HH:mm:ss";

        /// <summary>
        /// 年-月-日
        /// </summary>
        public const string DETE_TIME = "yyyy-MM-dd";

        /// <summary>
        /// 年-月-日 时:分
        /// </summary>
        public const string DETE_TIME_SHORT = "yyyy-MM-dd HH:mm";

        /// <summary>
        /// 年-月-日 时:分:秒
        /// </summary>
        public const string DETE_TIME_LONG = "yyyy-MM-dd HH:mm:ss";

        /// <summary>
        /// 时:分
        /// </summary>
        public const string TIME = "HH:mm";

        /// <summary>
        /// 时:分:秒
        /// </summary>
        public const string SYSTEM_TIME = "HH:mm:ss";
    }
}