﻿// <author></author>
// <date></date>
// <description></description>

namespace ERP.Framework.Exceptions
{
    /// <summary>
    /// 错误编码 6位
    /// </summary>
    public class ErrorCode
    {
        /// <summary>
        /// 响应成功
        /// </summary>
        public const int SUCCESS = 200;

        /// <summary>
        /// 响应失败
        /// </summary>
        public const int ERROR = 500;

        #region Framework

        /// <summary>
        /// 无法获取当前请求IP
        /// </summary>
        public const int NO_IP = 000001;

        /// <summary>
        /// Token校验失败
        /// </summary>
        public const int TOKEN_VALIDATE = 000002;

        /// <summary>
        /// 长时间未操作
        /// </summary>
        public const int IDLE_TIME_OUT = 000003;

        /// <summary>
        /// 被踢下线
        /// </summary>
        public const int KICKED_OUT = 000004;

        /// <summary>
        /// 被顶下线
        /// </summary>
        public const int CONCURRENT_LOGIN = 000004;

        /// <summary>
        /// 无法获得当前用户
        /// </summary>
        public const int NO_USER = 000005;

        #endregion Framework

        #region Core

        /// <summary>
        /// 用户不存在
        /// </summary>
        public const int USER_NOT_EXIST = 100000;

        /// <summary>
        /// 用户禁用
        /// </summary>
        public const int USER_BLOCK = 100001;

        /// <summary>
        /// 密码重试超出次数限制
        /// </summary>
        public const int USER_PASSWORD_RETRYLIMITEXCEED = 100002;

        /// <summary>
        /// 密码输入错误
        /// </summary>
        public const int PASSWORD_ERROR = 100003;

        #endregion Core
    }
}