﻿using Microsoft.Extensions.DependencyInjection;

namespace ERP.Framework.Extensions
{
    public static class CorsExtension
    {
        public static void AddCorsAccessor(this IServiceCollection services)
        {
            services.AddCors(option =>
            {
                option.AddPolicy("cors", policy =>
                {
                    policy.AllowAnyHeader() // 允许所有请求头
                          .AllowAnyMethod()  // 允许所有请求方法
                          .AllowCredentials()  // 允许Cookie信息
                          .AllowAnyOrigin(); // 允许所有站点跨域请求
                                             //.WithOrigins(origins); // 允许部分站点跨域请求
                });
            });
        }
    }
}