﻿using Yitter.IdGenerator;

namespace ERP.Framework.WebApi
{
    public abstract class BaseEntity
    {
        public BaseEntity()
        {
            this.Id = YitIdHelper.NextId();
        }

        /// <summary>
        /// 主键Id
        /// </summary>
        public virtual long Id { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public virtual DateTime CreateTime { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        public virtual string CreateBy { get; set; } = string.Empty;

        /// <summary>
        /// 更新时间
        /// </summary>
        public virtual DateTime? UpdateTime { get; set; }

        /// <summary>
        /// 更新人
        /// </summary>

        public virtual string? UpdateBy { get; set; }
    }
}